Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoSurfaceFeature Class Reference
Surface

## Description

Represents a surface feature for select surface tools.

Inherits kObject.

## Public Member Functions
kStatus | GoSurfaceFeature_EnableRegion (GoSurfaceFeature feature, kBool enable)
| Enable or disable the surface feature region. More...
GoRegion3d | GoSurfaceFeature_Region (GoSurfaceFeature feature)
| Gets the 3d region for the feature. More...
kBool | GoSurfaceFeature_RegionEnabled (GoSurfaceFeature feature)
| Gets the current state the surface feature region. More...
kStatus | GoSurfaceFeature_SetType (GoSurfaceFeature feature, GoSurfaceFeatureType type)
| Sets the surface feature type. More...
GoSurfaceFeatureType | GoSurfaceFeature_Type (GoSurfaceFeature feature)
| Gets the surface feature type. More...

## Member Function Documentation

kStatus GoSurfaceFeature_EnableRegion | ( | GoSurfaceFeature | feature,
|  | kBool | enable
| ) |  |

Enable or disable the surface feature region.

Parameters

  feature | GoSurfaceFeature object.
  enable | kTRUE to enable, or kFALSE to disable.

Returns
  Operation status.

GoRegion3d GoSurfaceFeature_Region | ( | GoSurfaceFeature | feature | ) |

Gets the 3d region for the feature.

Parameters

  feature | GoSurfaceFeature object.

Returns
  A GoRegion3d object.

kBool GoSurfaceFeature_RegionEnabled | ( | GoSurfaceFeature | feature | ) |

Gets the current state the surface feature region.

Parameters

  feature | GoSurfaceFeature object.

Returns
  kTRUE if enabled and kFALSE if disabled.

kStatus GoSurfaceFeature_SetType | ( | GoSurfaceFeature | feature,
|  | GoSurfaceFeatureType | type
| ) |  |

Sets the surface feature type.

Parameters

  feature | GoSurfaceFeature object.
  type | The feature type value to set.

Returns
  Operation status.

GoSurfaceFeatureType GoSurfaceFeature_Type | ( | GoSurfaceFeature | feature | ) |

Gets the surface feature type.

Parameters

  feature | GoSurfaceFeature object.

Returns
  The surface feature type.

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h